tvbrowser.extras.favoritesplugin

## Class FavoritesPlugin

- java.lang.Object
- - tvbrowser.extras.favoritesplugin.FavoritesPlugin

-     public class FavoritesPlugin
      extends java.lang.Object

  Plugin for managing the favorite programs.
  Author:
    Til Schneider, www.murfman.de

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Localizer` | `mLocalizer` The localizer for this class.
    `static java.util.logging.Logger` | `mLog`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPendingFavorite(PendingFilterLoader fav)` Adds a AdvancedFavorite to the pending list (for loading filters after TV-Browser start was finished).
    `void` | `addProgramsForSending(ProgramReceiveTarget[] targets, Program[] programs)` Add the programs to send to other Plugins to a Hashtable.
    `void` | `addTitleFavorites(Program[] programArr)`
    `void` | `askAndDeleteFavorite(Favorite fav)`
    `void` | `deleteSelectedFavorite()`
    `void` | `editFavorite(Favorite favorite)`
    `void` | `editSelectedFavorite()`
    `void` | `favoriteSelectionChanged()`
    `(package private) AfterDataUpdateInfoPanel` | `getAfterDataUpdateInfoPanel()`
    `protected ActionMenu` | `getButtonAction()`
    `ProgramReceiveTarget[]` | `getClientPluginTargetIds()`
    `protected ActionMenu` | `getContextMenuActions(Program program)`
    `ProgramReceiveTarget[]` | `getDefaultClientPluginsTargets()`
    `ProgramFieldType[]` | `getDefaultProgramFieldTypeSelection()`
    `static javax.swing.ImageIcon` | `getFavoritesIcon(int size)`
    `static java.lang.String` | `getFavoritesPluginId()`
    `FavoriteFilter` | `getFilterForKeyValue(java.lang.String keyValue)`
    `int` | `getFilterStartType()`
    `Exclusion[]` | `getGlobalExclusions()` Gets the global exclusions.
    `static javax.swing.ImageIcon` | `getIconFromTheme(java.lang.String category, java.lang.String Icon, int size)`
    `static FavoritesPlugin` | `getInstance()`
    `ProgramFilter` | `getLastSelectedProgramFilter()`
    `protected int` | `getMarkPriority()`
    `(package private) java.lang.String` | `getName()`
    `PluginCenterPanelWrapper` | `getPluginCenterPanelWrapper()`
    `PluginTreeNode` | `getRootNode()`
    `java.util.Properties` | `getSettings()`
    `void` | `handleTvBrowserStartFinished()`
    `protected void` | `handleTvDataUpdateFinished()`
    `boolean` | `isAutoSelectingReminder()` Gets if reminder should be automatically selected for new Favorites
    `boolean` | `isShowingBlackListEntries()`
    `boolean` | `isShowingNewFoundPrograms()`
    `boolean` | `isShowingPictures()`
    `protected boolean` | `isShowingRepetitions()`
    `boolean` | `isUsingExpertMode()`
    `void` | `newFavorite(FavoriteNode parent)`
    `void` | `newFolder(FavoriteNode parent)`
    `boolean` | `programListIsEmpty()`
    `boolean` | `provideTab()`
    `boolean` | `reactOnFilterChange()`
    `void` | `reValidateChannelLimitation()` Tries to load channel limitations again.
    `protected void` | `saveFavorites()`
    `protected void` | `setAutoSelectingReminder(boolean value)`
    `void` | `setClientPluginTargets(ProgramReceiveTarget[] clientPluginTargetArr)`
    `void` | `setDefaultProgramFieldTypeSelection(ProgramFieldType[] defaultSelection)`
    `void` | `setFilterStartType(int type)`
    `protected void` | `setGlobalExclusions(Exclusion[] exclusions, boolean onlyAdded)`
    `void` | `setIsShowingBlackListEntries(boolean value)` Set the value for showing black list entries in the management dialog.
    `void` | `setIsShowingPictures(boolean value)`
    `void` | `setIsUsingExpertMode(boolean value)`
    `protected void` | `setMarkPriority(int priority)`
    `void` | `setProvideTab(boolean value)`
    `void` | `setReactOnFilterChange(boolean value)`
    `void` | `setShowDateSeparators(boolean show)`
    `protected void` | `setShowRepetitions(boolean value)`
    `void` | `setShowTypeSelection(boolean value)`
    `void` | `setTimeButtonsScrollToNextTimeInTab(boolean value)`
    `void` | `showCreateActorFavoriteWizard(Program program, java.lang.String actor)`
    `void` | `showCreateFavoriteWizard(Program program)`
    `void` | `showCreateFavoriteWizard(Program program, java.lang.String path)`
    `void` | `showCreateTopicFavoriteWizard(Program program, java.lang.String topic)`
    `boolean` | `showDateSeparators()`
    `void` | `showExcludeProgramsDialog(Favorite fav, Program program)`
    `protected void` | `showManageFavoritesDialog()`
    `protected void` | `showManageFavoritesDialog(Favorite initialSelection)`
    `void` | `showSendDialog()`
    `boolean` | `showTypeSelection()`
    `void` | `store()`
    `boolean` | `timeButtonsScrollToNextTimeInTab()`
    `java.lang.String` | `toString()`
    `void` | `updateRootNode(boolean save)`
    `void` | `waitForFinishingUpdateThreads()` Waits for finishing the update threads.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mLog

          public static final java.util.logging.Logger mLog

    - #### mLocalizer

          public static final Localizer mLocalizer

      The localizer for this class.

  - ### Method Detail

    - #### waitForFinishingUpdateThreads

          public void waitForFinishingUpdateThreads()

      Waits for finishing the update threads.
      Since:
        2.7.2

    - #### handleTvDataUpdateFinished

          protected void handleTvDataUpdateFinished()

    - #### getInstance

          public static FavoritesPlugin getInstance()

    - #### handleTvBrowserStartFinished

          public void handleTvBrowserStartFinished()

    - #### store

          public void store()

    - #### getIconFromTheme

          public static javax.swing.ImageIcon getIconFromTheme(java.lang.String category,
                                               java.lang.String Icon,
                                               int size)

    - #### addProgramsForSending

          public void addProgramsForSending(ProgramReceiveTarget[] targets,
                                   Program[] programs)

      Add the programs to send to other Plugins to a Hashtable.
      Parameters:
        `targets` - The ProgramReceiveTargets to send the programs for.
        `programs` - The Programs to send.

    - #### isShowingBlackListEntries

          public boolean isShowingBlackListEntries()

      Returns:
        If the management dialog should show the programs on the black list too.

    - #### setIsShowingBlackListEntries

          public void setIsShowingBlackListEntries(boolean value)

      Set the value for showing black list entries in the management dialog.
      Parameters:
        `value` - If the programs are to show.

    - #### getButtonAction

          protected ActionMenu getButtonAction()

    - #### showManageFavoritesDialog

          protected void showManageFavoritesDialog()

    - #### showManageFavoritesDialog

          protected void showManageFavoritesDialog(Favorite initialSelection)

    - #### getContextMenuActions

          protected ActionMenu getContextMenuActions(Program program)

    - #### editFavorite

          public void editFavorite(Favorite favorite)

    - #### isUsingExpertMode

          public boolean isUsingExpertMode()

    - #### setIsUsingExpertMode

          public void setIsUsingExpertMode(boolean value)

    - #### showTypeSelection

          public boolean showTypeSelection()

    - #### setShowTypeSelection

          public void setShowTypeSelection(boolean value)

    - #### isShowingPictures

          public boolean isShowingPictures()

    - #### setIsShowingPictures

          public void setIsShowingPictures(boolean value)

    - #### showCreateFavoriteWizard

          public void showCreateFavoriteWizard(Program program)

    - #### showCreateFavoriteWizard

          public void showCreateFavoriteWizard(Program program,
                                      java.lang.String path)

    - #### showCreateActorFavoriteWizard

          public void showCreateActorFavoriteWizard(Program program,
                                           java.lang.String actor)

    - #### showCreateTopicFavoriteWizard

          public void showCreateTopicFavoriteWizard(Program program,
                                           java.lang.String topic)

    - #### saveFavorites

          protected void saveFavorites()

    - #### showExcludeProgramsDialog

          public void showExcludeProgramsDialog(Favorite fav,
                                       Program program)

    - #### askAndDeleteFavorite

          public void askAndDeleteFavorite(Favorite fav)

    - #### getRootNode

          public PluginTreeNode getRootNode()

    - #### updateRootNode

          public void updateRootNode(boolean save)

    - #### getFavoritesIcon

          public static javax.swing.ImageIcon getFavoritesIcon(int size)

    - #### getClientPluginTargetIds

          public ProgramReceiveTarget[] getClientPluginTargetIds()

    - #### setClientPluginTargets

          public void setClientPluginTargets(ProgramReceiveTarget[] clientPluginTargetArr)

    - #### getDefaultClientPluginsTargets

          public ProgramReceiveTarget[] getDefaultClientPluginsTargets()

    - #### getFavoritesPluginId

          public static java.lang.String getFavoritesPluginId()

    - #### getSettings

          public java.util.Properties getSettings()

      Returns:
        The settings of the FavoritesPlugin.
      Since:
        2.2.2

    - #### addPendingFavorite

          public void addPendingFavorite(PendingFilterLoader fav)

      Adds a AdvancedFavorite to the pending list (for loading filters after TV-Browser start was finished).
      Parameters:
        `fav` - The AdvancedFavorite to add.
      Since:
        2.5.1

    - #### isShowingRepetitions

          protected boolean isShowingRepetitions()

    - #### setShowRepetitions

          protected void setShowRepetitions(boolean value)

    - #### isAutoSelectingReminder

          public boolean isAutoSelectingReminder()

      Gets if reminder should be automatically selected for new Favorites
      Returns:
        If the reminder should be selected.

    - #### setAutoSelectingReminder

          protected void setAutoSelectingReminder(boolean value)

    - #### getMarkPriority

          protected int getMarkPriority()

    - #### setMarkPriority

          protected void setMarkPriority(int priority)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getName

          java.lang.String getName()

    - #### setGlobalExclusions

          protected void setGlobalExclusions(Exclusion[] exclusions,
                                 boolean onlyAdded)

    - #### getGlobalExclusions

          public Exclusion[] getGlobalExclusions()

      Gets the global exclusions.

      Returns:
        The global exclusions.

    - #### addTitleFavorites

          public void addTitleFavorites(Program[] programArr)

    - #### editSelectedFavorite

          public void editSelectedFavorite()

    - #### newFavorite

          public void newFavorite(FavoriteNode parent)

    - #### showSendDialog

          public void showSendDialog()

    - #### deleteSelectedFavorite

          public void deleteSelectedFavorite()

    - #### programListIsEmpty

          public boolean programListIsEmpty()

    - #### isShowingNewFoundPrograms

          public boolean isShowingNewFoundPrograms()

    - #### newFolder

          public void newFolder(FavoriteNode parent)

    - #### favoriteSelectionChanged

          public void favoriteSelectionChanged()

    - #### getPluginCenterPanelWrapper

          public PluginCenterPanelWrapper getPluginCenterPanelWrapper()

    - #### getAfterDataUpdateInfoPanel

          AfterDataUpdateInfoPanel getAfterDataUpdateInfoPanel()

    - #### provideTab

          public boolean provideTab()

    - #### setProvideTab

          public void setProvideTab(boolean value)

    - #### getDefaultProgramFieldTypeSelection

          public ProgramFieldType[] getDefaultProgramFieldTypeSelection()

    - #### setDefaultProgramFieldTypeSelection

          public void setDefaultProgramFieldTypeSelection(ProgramFieldType[] defaultSelection)

    - #### showDateSeparators

          public boolean showDateSeparators()

    - #### setShowDateSeparators

          public void setShowDateSeparators(boolean show)

    - #### reValidateChannelLimitation

          public void reValidateChannelLimitation()

      Tries to load channel limitations again.

    - #### getFilterForKeyValue

          public FavoriteFilter getFilterForKeyValue(java.lang.String keyValue)

    - #### timeButtonsScrollToNextTimeInTab

          public boolean timeButtonsScrollToNextTimeInTab()

    - #### setTimeButtonsScrollToNextTimeInTab

          public void setTimeButtonsScrollToNextTimeInTab(boolean value)

    - #### reactOnFilterChange

          public boolean reactOnFilterChange()

    - #### setReactOnFilterChange

          public void setReactOnFilterChange(boolean value)

    - #### getFilterStartType

          public int getFilterStartType()

    - #### setFilterStartType

          public void setFilterStartType(int type)

    - #### getLastSelectedProgramFilter

          public ProgramFilter getLastSelectedProgramFilter()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)